import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconSun as IconSunClass } from "../../../../components/icon/icons/sun.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconSun = (props) => {
  IconSunClass.define();
  const JSXElement = getReactComponent("gds-icon-sun");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconSun.displayName = "IconSun";
export {
  IconSun
};
